## x509 x509 — <dsig:X509Certificate/> node parser functions. |

## Stability Level

Stable, unless otherwise indicated

## Types and Values

#define | XMLSEC_X509DATA_CERTIFICATE_NODE
#define | XMLSEC_X509DATA_SUBJECTNAME_NODE
#define | XMLSEC_X509DATA_ISSUERSERIAL_NODE
#define | XMLSEC_X509DATA_SKI_NODE
#define | XMLSEC_X509DATA_CRL_NODE
#define | XMLSEC_X509DATA_DEFAULT

## Description

## Functions

## Types and Values

### XMLSEC_X509DATA_CERTIFICATE_NODE

    #define XMLSEC_X509DATA_CERTIFICATE_NODE                        0x00000001

DEPRECATED. <dsig:X509Certificate/> node found or would be written back.

### XMLSEC_X509DATA_SUBJECTNAME_NODE

    #define XMLSEC_X509DATA_SUBJECTNAME_NODE                        0x00000002

DEPRECATED. <dsig:X509SubjectName/> node found or would be written back.

### XMLSEC_X509DATA_ISSUERSERIAL_NODE

    #define XMLSEC_X509DATA_ISSUERSERIAL_NODE                       0x00000004

DEPRECATED. <dsig:X509IssuerSerial/> node found or would be written back.

### XMLSEC_X509DATA_SKI_NODE

    #define XMLSEC_X509DATA_SKI_NODE                                0x00000008

DEPRECATED. <dsig:X509SKI/> node found or would be written back.

### XMLSEC_X509DATA_CRL_NODE

    #define XMLSEC_X509DATA_CRL_NODE                                0x00000010

DEPRECATED. <dsig:X509CRL/> node found or would be written back.

### XMLSEC_X509DATA_DEFAULT

    #define             XMLSEC_X509DATA_DEFAULT

DEPRECATED. Default set of nodes to write in case of empty

<dsig:X509Data/> node template.